## glosung 3.6.4

=== SConstruct ===
# SConstruct
# Copyright (C) 1999-2016 Eicke Godehardt

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.


import os

version = '3.6.4'

# Stores signatures in ".sconsign.dbm"
# in the top-level SConstruct directory.
SConsignFile ()

Default ('.')

Help ('''Options:
  PREFIX=/usr                 Where to install glosung
  DESTDIR=/                   Real installation path DESTDIR + PREFIX
                              (this option is only for packaging)''')

env = Environment (
  LINK      = 'gcc',
  CC        = 'gcc',
  CPPPATH   = '',
  LINKFLAGS = '',
  CCFLAGS   = '',
  ENV       = os.environ,
  TARFLAGS  = '-c -j')

if env['PLATFORM'] == 'win32':
	prefix      = ARGUMENTS.get ('PREFIX', '')
	install_dir = ARGUMENTS.get ('DESTDIR', '')
	pixmap_dir  = ''
	data_dir    = '.'
	doc_dir     = ''
else:
	prefix      = ARGUMENTS.get ('PREFIX', '/usr')
	install_dir = ARGUMENTS.get ('DESTDIR', '')
	pixmap_dir  = prefix + '/share/glosung/'
	data_dir    = prefix + '/share/glosung'
	doc_dir     = '/share/doc/glosung-' + version


VariantDir('build', 'src')

cpppath = ['#', '#build']
ccflags   = ['-O2', '-std=c99', '-Wall', '-g',
#		'-DLIBXML_STATIC',
		'-DVERSION=\\"' + version + '\\"',
		'-DGLOSUNG_DATA_DIR=\\"' + data_dir + '\\"',
		'-DPACKAGE_PIXMAPS_DIR=\\"' + pixmap_dir + '\\"']

linkflags = ['-L.']

if ARGUMENTS.get ('profile'):
    ccflags.append   ('-pg', '-fprofile-arcs')
    linkflags.append ('-pg', '-fprofile-arcs', '-Wl,--export-dynamic')

if env['PLATFORM'] != 'win32':
        linkflags.append ('-Wl,--as-needed')

#if not (ARGUMENTS.get ('dev')):
if (ARGUMENTS.get ('dev')):
    ccflags   += [
#         '-Werror',
#         '-pedantic',
    	 '-DG_DISABLE_DEPRECATED', '-DGDK_PIXBUF_DISABLE_DEPRECATED',
     	 '-DGDK_DISABLE_DEPRECATED', '-DGTK_DISABLE_DEPRECATED',
     	 '-DGTK_DISABLE_SINGLE_INCLUDES', '-DGSEAL_ENABLE']
else:
    ccflags   += [
		'-DG_DISABLE_ASSERT']

tar_file = '#../glosung-' + version + '.tar.bz2'

env.Append (
  CPPPATH   = cpppath,
  LINKFLAGS = linkflags,
  CCFLAGS   = ccflags)

if env['PLATFORM'] == 'win32':
        env.ParseConfig ('pkg-config gtk+-2.0 libxml-2.0 libcurl --cflags --libs')
        Tool('mingw')(env)
else:
        env.ParseConfig('pkg-config gtk+-2.0 libxml-2.0 gconf-2.0 gmodule-export-2.0 libcurl --cflags --libs')
#        Tool('posix')(env)


conf = Configure (env)
if not conf.CheckLib ('libxml2'):
	print 'Did not find libxml2.a or xml2.lib, exiting!'

Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file')

SConscript ('build/SConscript')
SConscript ('po/SConscript')

env.Alias ('install', install_dir)
env.Alias ('package', tar_file)

env.Install (dir = install_dir + prefix + doc_dir,
          source = ['AUTHORS', 'COPYING', 'ChangeLog', 'INSTALL', 'README'])

env.Install (dir = install_dir + prefix + '/share/applications',
          source = 'glosung.desktop')
env.Install (dir = install_dir + pixmap_dir,
        source = ['herrnhut.png', 'glosung.png', 'glosung-big.png'])
env.Install (dir = install_dir + data_dir,
        source = ['ui/add_language.glade', 'ui/preferences.glade', 'ui/warning_dialog.glade'])

# TODO put everything into a folder "glosung-<VERSION>" and rename build to src
if env['PLATFORM'] != 'win32':
	env.Tar (tar_file, ['AUTHORS',
                    'COPYING',
                    'ChangeLog',
                    'INSTALL',
                    'NEWS',
                    'README',
                    'SConstruct',
                    'herrnhut.png',
                    'glosung-big.png',
                    'glosung.desktop',
                    'glosung.png',
                    'ui/add_language.glade',
                    'ui/preferences.glade',
                    'ui/warning_dialog.glade',
                    'debian/glosung.files',
                    'debian/control',
                    'debian/changelog',
                    'debian/copyright',
                    'debian/rules',
                    'rpm/glosung.spec'])

# dpkg-buildpackage -tc -us -uc -rfakeroot
# rpmbuild -ba rpm/glosung.spec

=== debian/changelog ===
glosung (3.6.4-2bit2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added watchwords from The Word for the year 2023.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sun, 01 Jan 2023 12:33:54 +0100

glosung (3.6.4-2bit1) unstable; urgency=medium

  * added watchwords from The Word for the year 2022.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Jan 2022 10:37:29 +0100

glosung (3.6.4-1bit3) unstable; urgency=medium

  * split package into glosung and glosung-common
  * add watchwords into glosung-common

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 31 Oct 2020 10:26:09 +0100

glosung (3.6.4-1bit2) unstable; urgency=medium

  * patch 000-fix-SConstruct.patch.
  * set noautodbgsym to DEB_BUILD_OPTIONS.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 30 Oct 2020 12:43:06 +0100

glosung (3.6.4-1bit1) unstable; urgency=medium

  * repackaged for modern debian based distributions

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 16 Oct 2020 10:18:09 +0200

glosung (3.6.4~wily) wily; urgency=low

  * fix compilation warnings due to newer GTK version
  * update copyright information

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 06 Jan 2016 21:32:24 +0100

glosung (3.6.3~raring-2) raring; urgency=low

  * fix compilation problem under recent ubuntu

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 20 May 2013 17:07:36 +0100

glosung (3.6.2~maverick) maverick; urgency=low

  * fix error reporting problem after download (proxy)
  * fix translation problem

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 01 Nov 2010 20:52:54 +0100

glosung (3.6.1~maverick) maverick; urgency=low

  * fix XML handling, as file format was slightly by losungen.de
  * add [control] modifier to scroll wheel to navigate monthly

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 27 Oct 2010 21:50:47 +0200

glosung (3.6~maverick) maverick; urgency=low

  * add Hungarian translation (thanks Mate)
  * use scroll wheel to browse through dates
  * add proxy support (no authentication so far)
  * add option for auto start once a day or at every login

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 04 Aug 2010 22:13:00 +0200

glosung (3.5.3~lucid) lucid; urgency=low

  * fix compilation problem under lucid/new gtk versions

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 03 May 2010 21:44:05 +0200

glosung (3.5.2~lucid) lucid; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~karmic) karmic; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~jaunty) jaunty; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~intrepid) intrepid; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.2~hardy) hardy; urgency=low

  * fix #2947728 and #2935243 (open xiphos and urls in about)

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 13 Feb 2010 13:23:54 +0100

glosung (3.5.1~karmic3) karmic; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5.1~jaunty1) jaunty; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5.1~intrepid1) intrepid; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5.1~hardy1) hardy; urgency=low

  * new upstream bug fixing release

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 22 Jan 2010 22:20:13 +0100

glosung (3.5~karmic) karmic; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 10 Jan 2010 19:12:29 +0200

glosung (3.5~jaunty) jaunty; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 04 Jan 2010 23:39:34 +0200

glosung (3.5~intrepid) intrepid; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 04 Jan 2010 23:39:34 +0200

glosung (3.5~hardy) hardy; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Mon, 04 Jan 2010 23:39:34 +0200

glosung (3.4.2~hardy-1) hardy; urgency=low

  * patch: gtk version in glade file

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.2~jaunty) jaunty; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.2~intrepid) intrepid; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.2~hardy) hardy; urgency=low

  * new upstream release

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 26 May 2009 18:41:18 +0200

glosung (3.4.1-2) intrepid; urgency=low

  * add intrepid version (2nd try)

 -- Eicke Godehardt <sf@godehardt.org>  Sun, 24 May 2009 21:27:00 +0100

glosung (3.4.1) jaunty; urgency=low

  * version bump to 3.4.1
  * handle new name of GnomeSword, now Xiphos
  * further simplify preferences
  * some glade than UI code

 -- Eicke Godehardt <sf@godehardt.org>  Thu, 07 May 2009 21:37:00 +0100

glosung (3.4-1) intrepid; urgency=low

  * add herrnhut.png to glosung.files

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 31 Jan 2009 15:21:00 +0100

glosung (3.4) intrepid; urgency=low

  * version bump
  * add about Herrnhut
  * simplify preferences

 -- Eicke Godehardt <sf@godehardt.org>  Sat, 31 Jan 2009 14:26:00 +0100

glosung (3.3.2) intrepid; urgency=low

  * version bump
  * fix path problems

 -- Eicke Godehardt <sf@godehardt.org>  Fri, 05 Dec 2008 13:20:00 +0100

glosung (3.3.1) intrepid; urgency=low

  * version bump



=== debian/control ===
Source: glosung
Maintainer: Eicke Godehardt <sf@godehardt.org>
Section: gnome
Priority: optional
Build-Depends: debhelper-compat (= 12), scons, debhelper, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev | libcurl3-dev, libgconf2-dev
Standards-Version: 4.1.2
Homepage: http://www.godehardt.org/losung.html

Package: glosung
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glosung-common, unzip, xdg-utils
Description: Gtk+ Version of watchwords (german: Losungen).
 This program shows the watchwords (german: Losungen) for each day.
 The `Losungen' are words out of the bible, mostly one from the Old
 and one from the New Testament.
 .
 This package contains the binary files.

Package: glosung-common
Architecture: all
Depends: ${misc:Depends}
Suggests: glosung
Description: Gtk+ Version of watchwords (german: Losungen).
 This program shows the watchwords (german: Losungen) for each day.
 The `Losungen' are words out of the bible, mostly one from the Old
 and one from the New Testament.
 .
 This package contains the common files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_BUILD_OPTIONS = noautodbgsym
#DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	scons -c
	rm config.log
	dh_clean

override_dh_auto_build:
	dh_testdir
	scons

override_dh_auto_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	scons DESTDIR=`pwd`/debian/glosung install
	mv `pwd`/debian/glosung/usr/share/doc/glosung-* `pwd`/debian/glosung/usr/share/doc/glosung
	mkdir -p debian/glosung-common/usr/share
	mv debian/glosung/usr/share/glosung debian/glosung-common/usr/share/glosung-common
	mv debian/glosung/usr/share/locale debian/glosung-common/usr/share/locale
	cp debian/watchwords/* debian/glosung-common/usr/share/glosung-common
	dh_link -pglosung-common usr/share/glosung-common usr/share/glosung

## glosung 3.6.6

=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SConstruct
-# Copyright (C) 1999-2016 Eicke Godehardt
+# Copyright (C) 1999-2021 Eicke Godehardt
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 
 import os
 
-version = '3.6.4'
+version = '3.6.6'
 
 # Stores signatures in ".sconsign.dbm"
 # in the top-level SConstruct directory.
@@ -63,7 +63,7 @@
 		'-DGLOSUNG_DATA_DIR=\\"' + data_dir + '\\"',
 		'-DPACKAGE_PIXMAPS_DIR=\\"' + pixmap_dir + '\\"']
 
-linkflags = ['-L.']
+linkflags = ['-L.']             
 
 if ARGUMENTS.get ('profile'):
     ccflags.append   ('-pg', '-fprofile-arcs')
@@ -101,7 +101,7 @@
 
 conf = Configure (env)
 if not conf.CheckLib ('libxml2'):
-	print 'Did not find libxml2.a or xml2.lib, exiting!'
+	print('Did not find libxml2.a or xml2.lib, exiting!')
 
 Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file')
 
@@ -127,7 +127,6 @@
                     'COPYING',
                     'ChangeLog',
                     'INSTALL',
-                    'NEWS',
                     'README',
                     'SConstruct',
                     'herrnhut.png',

=== debian/changelog ===
glosung (3.6.6-2bit3) unstable; urgency=medium

  * Fixed typo.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 11 Jul 2025 15:22:47 +0200

glosung (3.6.6-2bit2) unstable; urgency=medium

  * Removed watchwords from the package glosung as watchwords
    are now in a seperate source package.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 11 Jul 2025 13:21:01 +0200

glosung (3.6.6-2bit1) unstable; urgency=medium

  * Added watchwords from bible2.net and Herrnhuter
    Brüdergemeinde for the year 2025.
  * Split watchwords to separate packages, one for
    bible2.net and one for Herrnhuter Brüdergemeinde.
  * Bump debhelper-compat to 13.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Wed, 11 Dec 2024 13:44:37 +0100

glosung (3.6.6-1bit2) unstable; urgency=medium

  * Added watchwords from bible2.net for the year 2024.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 01 Jan 2024 17:55:23 +0100

glosung (3.6.6-1bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 02 Jan 2023 17:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Maintainer: Eicke Godehardt <sf@godehardt.org>
 Section: gnome
 Priority: optional
-Build-Depends: debhelper-compat (= 12), scons, debhelper, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev | libcurl3-dev, libgconf2-dev
+Build-Depends: debhelper-compat (= 13), scons, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev, libgconf2-dev
 Standards-Version: 4.1.2
 Homepage: http://www.godehardt.org/losung.html
 
 Package: glosung
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, glosung-common, unzip, xdg-utils
+Recommends: glosung-watchwords-bible20 | glosung-watchwords-herrnhuter
 Description: Gtk+ Version of watchwords (german: Losungen).
  This program shows the watchwords (german: Losungen) for each day.
  The `Losungen' are words out of the bible, mostly one from the Old

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_BUILD_OPTIONS = noautodbgsym
#DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_clean:
	scons --clean
	rm -rf build
	rm -f config.log
	rm -rf .pc
	rm -rf .sconf_temp
	rm -f .sconsign.dblite
	dh_auto_clean

override_dh_auto_build:
	scons build

override_dh_auto_install:
	scons DESTDIR=`pwd`/debian/tmp install

## glosung 4.1.0

=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SConstruct
-# Copyright (C) 1999-2021 Eicke Godehardt
+# Copyright (C) 1999-2024 Eicke Godehardt
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 
 import os
 
-version = '3.6.6'
+version = '4.1'
 
 # Stores signatures in ".sconsign.dbm"
 # in the top-level SConstruct directory.
@@ -38,18 +38,23 @@
   LINKFLAGS = '',
   CCFLAGS   = '',
   ENV       = os.environ,
-  TARFLAGS  = '-c -j')
+  TARFLAGS  = '-c -j',
+  tools     = ["default", "gettext"])
 
 if env['PLATFORM'] == 'win32':
 	prefix      = ARGUMENTS.get ('PREFIX', '')
 	install_dir = ARGUMENTS.get ('DESTDIR', '')
+	schema_dir  = ''
 	pixmap_dir  = ''
+	icon_dir    = ''
 	data_dir    = '.'
 	doc_dir     = ''
 else:
 	prefix      = ARGUMENTS.get ('PREFIX', '/usr')
 	install_dir = ARGUMENTS.get ('DESTDIR', '')
+	schema_dir  = prefix + '/share/glib-2.0/schemas/'
 	pixmap_dir  = prefix + '/share/glosung/'
+	icon_dir    = prefix + '/share/icons/hicolor/'
 	data_dir    = prefix + '/share/glosung'
 	doc_dir     = '/share/doc/glosung-' + version
 
@@ -57,20 +62,20 @@
 VariantDir('build', 'src')
 
 cpppath = ['#', '#build']
-ccflags   = ['-O2', '-std=c99', '-Wall', '-g',
+ccflags   = ['-O2', '-std=c99', '-Wall', '-g', '-Wl,—export-dynamic',
 #		'-DLIBXML_STATIC',
 		'-DVERSION=\\"' + version + '\\"',
 		'-DGLOSUNG_DATA_DIR=\\"' + data_dir + '\\"',
 		'-DPACKAGE_PIXMAPS_DIR=\\"' + pixmap_dir + '\\"']
 
-linkflags = ['-L.']             
+linkflags = []          # '-L.'
 
 if ARGUMENTS.get ('profile'):
     ccflags.append   ('-pg', '-fprofile-arcs')
-    linkflags.append ('-pg', '-fprofile-arcs', '-Wl,--export-dynamic')
+    linkflags.append ('-pg', '-fprofile-arcs')
 
-if env['PLATFORM'] != 'win32':
-        linkflags.append ('-Wl,--as-needed')
+#if env['PLATFORM'] != 'win32':
+#    linkflags.append ('-Wl,--as-needed')
 
 #if not (ARGUMENTS.get ('dev')):
 if (ARGUMENTS.get ('dev')):
@@ -92,18 +97,19 @@
   CCFLAGS   = ccflags)
 
 if env['PLATFORM'] == 'win32':
-        env.ParseConfig ('pkg-config gtk+-2.0 libxml-2.0 libcurl --cflags --libs')
+        env.ParseConfig ('pkg-config gtk4 libxml-2.0 libcurl --cflags --libs')
         Tool('mingw')(env)
 else:
-        env.ParseConfig('pkg-config gtk+-2.0 libxml-2.0 gconf-2.0 gmodule-export-2.0 libcurl --cflags --libs')
+        env.ParseConfig('pkg-config gtk4 libxml-2.0 gio-2.0 gmodule-export-2.0 libcurl libadwaita-1 --cflags --libs')
 #        Tool('posix')(env)
 
+linkflags.append ('-lgmodule-export-2.0')
 
 conf = Configure (env)
-if not conf.CheckLib ('libxml2'):
-	print('Did not find libxml2.a or xml2.lib, exiting!')
+#if not conf.CheckLib ('libxml2'):
+#	print('Did not find libxml2.a or xml2.lib, exiting!')
 
-Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file')
+Export ('env cpppath ccflags install_dir prefix pixmap_dir tar_file version')
 
 SConscript ('build/SConscript')
 SConscript ('po/SConscript')
@@ -115,11 +121,21 @@
           source = ['AUTHORS', 'COPYING', 'ChangeLog', 'INSTALL', 'README'])
 
 env.Install (dir = install_dir + prefix + '/share/applications',
-          source = 'glosung.desktop')
+          source = 'org.godehardt.glosung.desktop')
+env.Install (dir = install_dir + schema_dir,
+          source = 'org.godehardt.GLosung.gschema.xml')
 env.Install (dir = install_dir + pixmap_dir,
-        source = ['herrnhut.png', 'glosung.png', 'glosung-big.png'])
+        source = [
+                'herrnhut.png',
+                'glosung.png',
+                'glosung-big.png',
+                'glosung-big-white.png'])
+env.Install (dir = install_dir + icon_dir + 'scalable/apps/',
+          source = 'glosung.svg')
+env.Install (dir = install_dir + icon_dir + '48x48/apps/',
+          source = 'glosung.png')
 env.Install (dir = install_dir + data_dir,
-        source = ['ui/add_language.glade', 'ui/preferences.glade', 'ui/warning_dialog.glade'])
+        source = [])
 
 # TODO put everything into a folder "glosung-<VERSION>" and rename build to src
 if env['PLATFORM'] != 'win32':
@@ -131,15 +147,42 @@
                     'SConstruct',
                     'herrnhut.png',
                     'glosung-big.png',
-                    'glosung.desktop',
+                    'glosung-big-white.png',
                     'glosung.png',
-                    'ui/add_language.glade',
-                    'ui/preferences.glade',
-                    'ui/warning_dialog.glade',
+                    'glosung.svg',
+                    'glosung.gresource.xml',
+                    'org.godehardt.glosung.desktop',
+                    'ui/add_language.ui',
+                    'ui/glosung.ui',
+                    'ui/language_manager.ui',
+                    'ui/preferences.ui',
+                    'ui/warning_dialog.ui',
+                    'ui/style.css',
+                    'ui/icons/angle-left-solid.png',
+                    'ui/icons/angle-left-solid-white.png',
+                    'ui/icons/angle-right-solid.png',
+                    'ui/icons/angle-right-solid-white.png',
+                    'ui/icons/angles-down-solid.png',
+                    'ui/icons/angles-down-solid-white.png',
+                    'ui/icons/angles-left-solid.png',
+                    'ui/icons/angles-left-solid-white.png',
+                    'ui/icons/angles-right-solid.png',
+                    'ui/icons/angles-right-solid-white.png',
+                    'ui/icons/bars-solid.png',
+                    'ui/icons/bars-solid-white.png',
+                    'ui/icons/calendar-alt-regular.png',
+                    'ui/icons/calendar-alt-regular-white.png',
+                    'ui/icons/clone-regular.png',
+                    'ui/icons/clone-regular-white.png',
+                    'ui/icons/gear-solid.png',
+                    'ui/icons/gear-solid-white.png',
+                    'ui/icons/question-circle-regular.png',
+                    'ui/icons/question-circle-regular-white.png',
                     'debian/glosung.files',
                     'debian/control',
                     'debian/changelog',
                     'debian/copyright',
+                    'debian/compat',
                     'debian/rules',
                     'rpm/glosung.spec'])

=== debian/changelog ===
glosung (4.1.0-1bit2) unstable; urgency=medium

  * Package glosung depends on glosung-common, unzip and xdg-utils
  * Package glosung recommends glosung-watchwords

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 14 Jul 2025 15:58:47 +0200

glosung (4.1.0-1bit1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repackaged for modern debian based distributions.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 16 Jun 2025 15:20:56 +0200

glosung (4.1~noble) noble; urgency=low

  * support Ubuntu 24.4 and newer
  * migrate from deprecated settings backend
  * offer scalable icon

 -- Eicke Godehardt <sf@godehardt.org>  Tue, 15 Oct 2024 11:21:33 +0100

glosung (4.0.1~mantic) mantic; urgency=low

  * support dark mode
  * fix jumping back one day every now and then

 -- Eicke Godehardt <sf@godehardt.org>  Thu, 19 Dec 2022 15:10:53 +0100

glosung (4.0.0~impish) impish; urgency=low

  * major upgrade as migrated to gtk4
  * update Herrnhut download url

 -- Eicke Godehardt <sf@godehardt.org>  Thu, 03 Mar 2022 11:19:29 +0100

glosung (3.6.6~bionic2) bionic; urgency=low

  * several config/build fixes (thanks Andreas Kemnade)

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 20 Oct 2021 14:31:54 +0100

glosung (3.6.5~hirsute) hirsute; urgency=low

  * fix segfault when book not found
  * improve book search algorithm in sword_book_title(), sword_book_title_for_original_losung()
  * add automatic refresh on date change

 -- Johannes Hausensteiner <johannes@eclipso.at>  Thu, 23 Jan 2019 20:30:00 +0100

glosung (3.6.4~xenial) xenial; urgency=low

  * fix compilation warnings due to newer GTK version
  * update copyright information

 -- Eicke Godehardt <sf@godehardt.org>  Wed, 06 Jan 2016 21:32:24 +0100

## glosung 4.2.0

=== SConstruct ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # SConstruct
-# Copyright (C) 1999-2024 Eicke Godehardt
+# Copyright (C) 1999-2025 Eicke Godehardt
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,7 +18,7 @@
 
 import os
 
-version = '4.1'
+version = '4.2'
 
 # Stores signatures in ".sconsign.dbm"
 # in the top-level SConstruct directory.

=== debian/changelog ===
glosung (4.2.0-1bit1) unstable; urgency=medium

  * New upstream version.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 29 Dec 2025 11:11:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: glosung
-Maintainer: Eicke Godehardt <sf@godehardt.org>
+Maintainer: Eicke Godehardt <dev@godehardt.org>
 Section: gnome
 Priority: optional
-Build-Depends: debhelper-compat (= 13), scons, intltool, libgtk2.0-dev, libxml2-dev, libcurl4-gnutls-dev, libgconf2-dev
+Build-Depends: debhelper-compat (= 13), scons, intltool, libgtk-4-dev (>= 4.10), libadwaita-1-dev, libxml2-dev, libcurl4-gnutls-dev | libcurl4-openssl-dev, gettext
 Standards-Version: 4.1.2
 Homepage: http://www.godehardt.org/losung.html

=== debian/watch ===
#https://github.com/godehardt/glosung/releases
